Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.gvt.event
Class AWTEventDispatcher

    java.lang.Object
      org.apache.batik.gvt.event.AbstractAWTEventDispatcher
          org.apache.batik.gvt.event.AWTEventDispatcher

All Implemented Interfaces:
  KeyListener, MouseListener, MouseMotionListener, MouseWheelListener, EventListener, EventDispatcher

    public class AWTEventDispatcher

extends AbstractAWTEventDispatcher
implements MouseWheelListener

A concrete version of `AWTEventDispatcher`. This class is used for JDKs >= 1.4, which have MouseWheelEvent support. For JDKs < 1.4, the file sources-1.3/org/apache/batik/gvt/event/AWTEventDispatcher defines a version of this class that does not support MouseWheelEvents.

Field Summary

Fields inherited from class org.apache.batik.gvt.event.AbstractAWTEventDispatcher
`baseTransform, currentKeyEventTarget, eventDispatchEnabled, eventQueue, eventQueueMaxSize, glisteners, lastHit, root`

Constructor Summary
`AWTEventDispatcher()`

Method Summary
`void` | `dispatchEvent(EventObject evt)` Dispatches the specified AWT event.
`protected void` | `dispatchKeyEvent(KeyEvent evt)` Dispatches the specified AWT key event.
`protected void` | `dispatchMouseWheelEvent(MouseWheelEvent evt)` Dispatches the specified AWT mouse wheel event.
`protected int` | `getButton(MouseEvent evt)` Returns the button whose state changed for the given event.
`protected int` | `getModifiers(InputEvent evt)` Returns the modifiers mask for this event.
`protected static boolean` | `isMetaDown(int modifiers)` Returns whether the meta key is down according to the given modifiers bitfield.
`void` | `mouseWheelMoved(MouseWheelEvent evt)` Dispatches the specified AWT mouse wheel event down to the GVT tree.
`protected void` | `processMouseWheelEvent(GraphicsNodeMouseWheelEvent evt)` Processes the specified event by firing the 'global' listeners attached to this event dispatcher.

Methods inherited from class org.apache.batik.gvt.event.AbstractAWTEventDispatcher
`addGraphicsNodeKeyListener, addGraphicsNodeMouseListener, addGraphicsNodeMouseWheelListener, dispatchMouseEvent, getBaseTransform, getCurrentLockState, getListeners, getRootNode, isNodeDecrementEvent, isNodeIncrementEvent, keyPressed, keyReleased, keyTyped, mouseClicked, mouseDragged, mouseEntered, mouseExited, mouseMoved, mousePressed, mouseReleased, processKeyEvent, processMouseEvent, removeGraphicsNodeKeyListener, removeGraphicsNodeMouseListener, removeGraphicsNodeMouseWheelListener, setBaseTransform, setEventDispatchEnabled, setEventQueueMaxSize, setNodeDecrementEvent, setNodeIncrementEvent, setRootNode`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AWTEventDispatcher

    public AWTEventDispatcher()

Method Detail

### mouseWheelMoved

    public void mouseWheelMoved(MouseWheelEvent evt)

  Dispatches the specified AWT mouse wheel event down to the GVT tree. The mouse wheel event is mutated to a GraphicsNodeMouseWheelEvent.

  Specified by:
    `mouseWheelMoved` in interface `MouseWheelListener`
  Parameters:
    `evt` - the mouse event to propagate

### dispatchEvent

    public void dispatchEvent(EventObject evt)

  Dispatches the specified AWT event.

  Specified by:
    `dispatchEvent` in interface `EventDispatcher`
  Overrides:
    `dispatchEvent` in class `AbstractAWTEventDispatcher`
  Parameters:
    `evt` - the event to dispatch

### dispatchMouseWheelEvent

    protected void dispatchMouseWheelEvent(MouseWheelEvent evt)

  Dispatches the specified AWT mouse wheel event.

  Parameters:
    `evt` - the mouse wheel event to dispatch

### processMouseWheelEvent

    protected void processMouseWheelEvent(GraphicsNodeMouseWheelEvent evt)

  Processes the specified event by firing the 'global' listeners attached to this event dispatcher.

  Parameters:
    `evt` - the event to process

### dispatchKeyEvent

    protected void dispatchKeyEvent(KeyEvent evt)

  Dispatches the specified AWT key event.

  Specified by:
    `dispatchKeyEvent` in class `AbstractAWTEventDispatcher`
  Parameters:
    `evt` - the key event to dispatch

### getModifiers

    protected int getModifiers(InputEvent evt)

  Returns the modifiers mask for this event. This just calls `InputEvent.getModifiersEx()` on `evt`.

  Specified by:
    `getModifiers` in class `AbstractAWTEventDispatcher`

### getButton

    protected int getButton(MouseEvent evt)

  Returns the button whose state changed for the given event. This just calls `MouseEvent.getButton()`.

  Specified by:
    `getButton` in class `AbstractAWTEventDispatcher`

### isMetaDown

    protected static boolean isMetaDown(int modifiers)

  Returns whether the meta key is down according to the given modifiers bitfield.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Apache Software Foundation. All Rights Reserved.